import eq_default from "./eq.js";
import keysIn_default from "./keysIn.js";
import _baseRest_default from "./_baseRest.js";
import _isIterateeCall_default from "./_isIterateeCall.js";
var objectProto = Object.prototype, hasOwnProperty = objectProto.hasOwnProperty, defaults_default = _baseRest_default(function(a, o) {
	a = Object(a);
	var s = -1, c = o.length, l = c > 2 ? o[2] : void 0;
	for (l && _isIterateeCall_default(o[0], o[1], l) && (c = 1); ++s < c;) for (var u = o[s], d = keysIn_default(u), f = -1, p = d.length; ++f < p;) {
		var m = d[f], h = a[m];
		(h === void 0 || eq_default(h, objectProto[m]) && !hasOwnProperty.call(a, m)) && (a[m] = u[m]);
	}
	return a;
});
export { defaults_default as default };
